2014-05-19 20:26:48

by Eric Sandeen

[permalink] [raw]
Subject: [PATCH] e2fsprogs: don't run quota test if quota is not enabled

The default configuration still has quota disabled, but
runs the f_quota test unconditionally, so we fail by
default.

Fix that...

Signed-off-by: Eric Sandeen <[email protected]>
---

diff --git a/tests/f_quota/script b/tests/f_quota/script
index bf25e07..d1c4b9e 100644
--- a/tests/f_quota/script
+++ b/tests/f_quota/script
@@ -1,4 +1,11 @@
AFTER_CMD='$DEBUGFS -f $test_dir/debugfs-cmds $TMPFILE 2>&1 | sed -f $cmd_dir/filter.sed > $test_name.0.log'
PASS_ZERO=true

+$TUNE2FS -h 2>&1 | grep -q quota_options
+if [ $? != 0 ] ; then
+ rm -f $TMPFILE
+ echo "$test_name: $test_description: skipped (quota not enabled)"
+ return 0
+fi
+
. $cmd_dir/run_e2fsck



2014-05-19 22:16:47

by Eric Sandeen

[permalink] [raw]
Subject: Re: [PATCH] e2fsprogs: don't run quota test if quota is not enabled

On 5/19/14, 3:26 PM, Eric Sandeen wrote:
> The default configuration still has quota disabled, but
> runs the f_quota test unconditionally, so we fail by
> default.
>
> Fix that...

related to this, should quota be on by default now, or not?

also: my old fedora package (not built with --enable-quota) installed
a quota.pc and a /usr/include/quota dir. But when I built today
with --enable-quota, those *didn't* show up.

TBH I get lost in the makefiles... should quota be on yet, or not?
Is libquota supposed to be installed if it's on?

Thanks,
-Eric

> Signed-off-by: Eric Sandeen <[email protected]>
> ---
>
> diff --git a/tests/f_quota/script b/tests/f_quota/script
> index bf25e07..d1c4b9e 100644
> --- a/tests/f_quota/script
> +++ b/tests/f_quota/script
> @@ -1,4 +1,11 @@
> AFTER_CMD='$DEBUGFS -f $test_dir/debugfs-cmds $TMPFILE 2>&1 | sed -f $cmd_dir/filter.sed > $test_name.0.log'
> PASS_ZERO=true
>
> +$TUNE2FS -h 2>&1 | grep -q quota_options
> +if [ $? != 0 ] ; then
> + rm -f $TMPFILE
> + echo "$test_name: $test_description: skipped (quota not enabled)"
> + return 0
> +fi
> +
> . $cmd_dir/run_e2fsck
>
> --
> To unsubscribe from this list: send the line "unsubscribe linux-ext4" in
> the body of a message to [email protected]
> More majordomo info at http://vger.kernel.org/majordomo-info.html
>


2014-05-26 15:46:15

by Theodore Ts'o

[permalink] [raw]
Subject: Re: [PATCH] e2fsprogs: don't run quota test if quota is not enabled

On Mon, May 19, 2014 at 05:16:48PM -0500, Eric Sandeen wrote:
> On 5/19/14, 3:26 PM, Eric Sandeen wrote:
> > The default configuration still has quota disabled, but
> > runs the f_quota test unconditionally, so we fail by
> > default.
> >
> > Fix that...

Thanks, applied.

> related to this, should quota be on by default now, or not?

I think quota should be safe to enable in 1.42.10, but my plan was to
not enable it by default until 1.43 (at which point quota support will
always be enabled, and --enable-quota will be a no-op).

Cheers,

- Ted